<?php

/*********************************************************************

 アルバムレスポンス数表示プラグイン（album/default用） | 設定ファイル (2015/09/16)

 freo.jp
 customize by 32877(http://32877.xii.jp)

*********************************************************************/

/* メイン処理 */
function freo_display_albumres_count()
{
	global $freo;

	if (!$freo->smarty->get_template_vars('plugin_albums')) {
		return;
	}

	//アルバムID取得
	$plugin_album_keys = array_keys($freo->smarty->get_template_vars('plugin_albums'));

	//データ初期化
	$response_counts = array();
	foreach ($plugin_album_keys as $plugin_album) {
		$response_counts[$plugin_album] = 1;
	}

	//アルバムごとのレスポンス数取得
	$stmt = $freo->pdo->query('SELECT album_id, COUNT(*) FROM ' . FREO_DATABASE_PREFIX . 'plugin_albumreses WHERE album_id IN(' . implode(',', $plugin_album_keys) . ') GROUP BY album_id');
	if (!$stmt) {
		freo_error($freo->pdo->errorInfo());
	}

	while ($data = $stmt->fetch(PDO::FETCH_NUM)) {
		$response_counts[$data[0]] = 1 + $data[1];
	}

	//データ割当
	$freo->smarty->assign(array(
		'plugin_albumres_counts' => $response_counts
	));

	return;
}

?>
